CREATE TABLE fv_bc_control_segments (
    CONTROL_TYPE_ID                 NUMBER(18, 0)    NOT NULL,
    KEY_SEGMENT_ID                  NUMBER(18, 0),
    SEGMENT_NAME                    VARCHAR2(120)    NOT NULL,
    SUMMARY_CONTROL_FLAG            VARCHAR2(4)      NOT NULL,
    SEQUENCE_NUM                    NUMBER(2, 0)     NOT NULL,
    TREE_STRUCTURE_CODE             VARCHAR2(120),
    TREE_CODE                       VARCHAR2(120),
    TREE_VERSION                    VARCHAR2(128),
    TREE_LABEL                      VARCHAR2(128),
    CTRL_FILTER_TREE_CODE           VARCHAR2(120),
    CTRL_FILTER_TREE_VERSION_ID     VARCHAR2(128),
    CTRL_FILTER_SUMMARY_VALUE_ID    NUMBER(18, 0),
    OBJECT_VERSION_NUMBER           NUMBER(9, 0)     NOT NULL,
    CREATION_DATE                   TIMESTAMP(6)     NOT NULL,
    CREATED_BY                      VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE                TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY                 VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN               VARCHAR2(128),
    ATTRIBUTE1                      VARCHAR2(600),
    ATTRIBUTE2                      VARCHAR2(600),
    ATTRIBUTE3                      VARCHAR2(600),
    ATTRIBUTE4                      VARCHAR2(600),
    ATTRIBUTE5                      VARCHAR2(600),
    ATTRIBUTE6                      VARCHAR2(600),
    ATTRIBUTE7                      VARCHAR2(600),
    ATTRIBUTE8                      VARCHAR2(600),
    ATTRIBUTE9                      VARCHAR2(600),
    ATTRIBUTE10                     VARCHAR2(600),
    ATTRIBUTE11                     VARCHAR2(600),
    ATTRIBUTE12                     VARCHAR2(600),
    ATTRIBUTE13                     VARCHAR2(600),
    ATTRIBUTE14                     VARCHAR2(600),
    ATTRIBUTE15                     VARCHAR2(600),
    ATTRIBUTE_NUMBER1               NUMBER       ,
    ATTRIBUTE_NUMBER2               NUMBER       ,
    ATTRIBUTE_NUMBER3               NUMBER       ,
    ATTRIBUTE_NUMBER4               NUMBER       ,
    ATTRIBUTE_NUMBER5               NUMBER       ,
    ATTRIBUTE_DATE1                 DATE         ,
    ATTRIBUTE_DATE2                 DATE         ,
    ATTRIBUTE_DATE3                 DATE         ,
    ATTRIBUTE_DATE4                 DATE         ,
    ATTRIBUTE_DATE5                 DATE         ,
    ATTRIBUTE_CATEGORY              VARCHAR2(600),
    CONTROL_TYPE_ID                 NUMBER(18, 0)    NOT NULL,
    KEY_SEGMENT_ID                  NUMBER(18, 0),
    SEGMENT_NAME                    VARCHAR2(120)    NOT NULL,
    SUMMARY_CONTROL_FLAG            VARCHAR2(4)      NOT NULL,
    SEQUENCE_NUM                    NUMBER(2, 0)     NOT NULL,
    TREE_STRUCTURE_CODE             VARCHAR2(120),
    TREE_CODE                       VARCHAR2(120),
    TREE_VERSION                    VARCHAR2(128),
    TREE_LABEL                      VARCHAR2(128),
    OBJECT_VERSION_NUMBER           NUMBER(9, 0)     NOT NULL,
    CREATION_DATE                   TIMESTAMP(6)     NOT NULL,
    CREATED_BY                      VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE                TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY                 VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN               VARCHAR2(128),
    ATTRIBUTE1                      VARCHAR2(600),
    ATTRIBUTE2                      VARCHAR2(600),
    ATTRIBUTE3                      VARCHAR2(600),
    ATTRIBUTE4                      VARCHAR2(600),
    ATTRIBUTE5                      VARCHAR2(600),
    ATTRIBUTE6                      VARCHAR2(600),
    ATTRIBUTE7                      VARCHAR2(600),
    ATTRIBUTE8                      VARCHAR2(600),
    ATTRIBUTE9                      VARCHAR2(600),
    ATTRIBUTE10                     VARCHAR2(600),
    ATTRIBUTE11                     VARCHAR2(600),
    ATTRIBUTE12                     VARCHAR2(600),
    ATTRIBUTE13                     VARCHAR2(600),
    ATTRIBUTE14                     VARCHAR2(600),
    ATTRIBUTE15                     VARCHAR2(600),
    ATTRIBUTE_NUMBER1               NUMBER       ,
    ATTRIBUTE_NUMBER2               NUMBER       ,
    ATTRIBUTE_NUMBER3               NUMBER       ,
    ATTRIBUTE_NUMBER4               NUMBER       ,
    ATTRIBUTE_NUMBER5               NUMBER       ,
    ATTRIBUTE_DATE1                 DATE         ,
    ATTRIBUTE_DATE2                 DATE         ,
    ATTRIBUTE_DATE3                 DATE         ,
    ATTRIBUTE_DATE4                 DATE         ,
    ATTRIBUTE_DATE5                 DATE         ,
    ATTRIBUTE_CATEGORY              VARCHAR2(600),
    CTRL_FILTER_TREE_CODE           VARCHAR2(120),
    CTRL_FILTER_TREE_VERSION_ID     VARCHAR2(128),
    CTRL_FILTER_SUMMARY_VALUE_ID    NUMBER(18, 0),
    CONSTRAINT pk_fv_bc_control_segments PRIMARY KEY (KEY_SEGMENT_ID, KEY_SEGMENT_ID)
);
